Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class AddPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.ValueOperatorPtg
                  org.apache.poi.hssf.record.formula.AddPtg

    public final class AddPtg

extends ValueOperatorPtg

Addition operator PTG the "+" binomial operator. If you need more explanation than that then well...We really can't help you here.

Author:
  Andrew C. Oliver (acoliver@apache.org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static ValueOperatorPtg` | `instance`
`static byte` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` | `getNumberOfOperands()` The number of operands expected by the operations
`protected byte` | `getSid()`
`java.lang.String` | `toFormulaString(java.lang.String[] operands)` implementation of method from OperationsPtg

Methods inherited from class org.apache.poi.hssf.record.formula.ValueOperatorPtg
`getDefaultOperandClass, getSize, isBaseToken, toFormulaString, write`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

### instance

    public static final ValueOperatorPtg instance

Method Detail

### getSid

    protected byte getSid()

  Specified by:
    `getSid` in class `ValueOperatorPtg`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  implementation of method from OperationsPtg

  Specified by:
    `toFormulaString` in class `OperationPtg`
  See Also:
    `OperationPtg.getNumberOfOperands()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.